## deepin-movie-reborn 3.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(deepin-movie-reborn VERSION 3.2.3)


option(USE_DXCB "integration with dxcb platform plugin" OFF)
option(DMR_DEBUG "turn on debug output" off)
option(DTK_DMAN_PORTAL "turn on dman portal support" off)

execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(DMR_DEBUG on)
endif()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

find_package(PkgConfig REQUIRED)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

add_subdirectory(src)

=== src/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMD_NAME deepin-movie)

set(PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/widgets
    ${PROJECT_SOURCE_DIR}/src/common
    ${PROJECT_SOURCE_DIR}/src/libdmr)

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

find_package(Qt5Widgets)
find_package(Qt5DBus)
find_package(Qt5X11Extras)
find_package(Qt5LinguistTools)
find_package(Qt5Network)
find_package(Qt5Concurrent)
find_package(Qt5Sql)

pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
pkg_check_modules(Mpv REQUIRED IMPORTED_TARGET mpv)
pkg_check_modules(Xcb REQUIRED IMPORTED_TARGET xcb xcb-aux
    xcb-proto xcb-ewmh xcb-shape)
pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavformat
    libavutil libavcodec libavresample)
# IMPORTED_TARGET failed to work for some of libs under flatpak env
pkg_check_modules(Other REQUIRED libffmpegthumbnailer
    libpulse libpulse-simple openssl dvdnav)

qt5_add_resources(RCS resources.qrc)
if (${Dtk_VERSION} LESS 2.0.6.1)
    qt5_add_resources(RCS theme.qrc)
endif()


file(GLOB_RECURSE SRCS LIST_DIRECTORIES false common/*.cpp widgets/*.cpp libdmr/*.cpp)
list(APPEND SRCS main.cpp)

# mpv backend
file(GLOB_RECURSE MPV_SRCS LIST_DIRECTORIES false backends/mpv/*.cpp)
list(APPEND SRCS ${MPV_SRCS})
list(APPEND PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/backends/mpv)
#~

add_custom_target(json_i18n ALL
    /usr/lib/dtk2/dtk-settings resources/data/settings.json -o common/settings_translation.cpp
    COMMAND sed -i "s,#include .*,#include <DSettings>," common/settings_translation.cpp
    VERBATIM
    SOURCES resources/data/settings.json
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/src/)

## translations
file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)

set_source_files_properties(${TS}
    PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/src/translations)

qt5_create_translation(QM ${SRCS} ${TS})
# ~

add_executable(${CMD_NAME} ${SRCS} ${RCS} ${QM})
add_dependencies(${CMD_NAME} json_i18n)
target_include_directories(${CMD_NAME} PUBLIC ${PROJECT_INCLUDE})

set(TARGET_LIBS X11 Xext Xtst PkgConfig::Xcb Qt5::Widgets Qt5::X11Extras Qt5::Network
    Qt5::Concurrent Qt5::DBus Qt5::Sql PkgConfig::Dtk PkgConfig::Mpv
    PkgConfig::AV pthread GL)
target_link_libraries(${CMD_NAME} ${TARGET_LIBS} ${Other_LIBRARIES})


install(TARGETS ${CMD_NAME} DESTINATION bin)
install(DIRECTORY ${PROJECT_SOURCE_DIR}/src/translations
    DESTINATION share/${CMD_NAME}
    FILES_MATCHING PATTERN "*.qm")
install(FILES ${PROJECT_SOURCE_DIR}/src/deepin-movie.desktop
    DESTINATION share/applications)
install(FILES ${PROJECT_SOURCE_DIR}/src/resources/icons/logo-big.svg
    DESTINATION share/icons/hicolor/scalable/apps
    RENAME deepin-movie.svg)

install(DIRECTORY ${PROJECT_SOURCE_DIR}/src/dman/deepin-movie DESTINATION share/dman)

add_subdirectory(libdmr)
add_subdirectory(test)

=== debian/changelog ===
deepin-movie-reborn (3.2.3-2) unstable; urgency=high

  * Reconfirm symbols for libdmr0.1 using buildd logs.
    Closes: #893622
  * d/control: Apply "wrap-and-sort -abst".
  * d/rules: Use "dh-missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Fri, 23 Mar 2018 21:44:58 +0800

deepin-movie-reborn (3.2.3-1) unstable; urgency=low

  * Initial release (Closes: #871980)

 -- Yangfl <mmyangfl@gmail.com>  Sat, 17 Mar 2018 10:46:26 +0800

=== debian/control ===
Source: deepin-movie-reborn
Section: video
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 cmake,
 debhelper (>= 11~),
 libavcodec-dev,
 libavformat-dev,
 libavresample-dev,
 libavutil-dev,
 libdtkcore-bin,
 libdtkwidget-dev,
 libdvdnav-dev,
 libffmpegthumbnailer-dev,
 libmpv-dev,
 libpulse-dev,
 libqt5sql5-sqlite,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libssl-dev,
 libxcb-ewmh-dev,
 libxcb-shape0-dev,
 libxcb-util0-dev,
 libxcb1-dev,
 libxtst-dev,
 pkg-config,
 qtmultimedia5-dev,
 qttools5-dev,
 x11proto-record-dev,
 xcb-proto,
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn

Package: deepin-movie
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin movie player
 Deepin Movie provides an intuitive easy to use operation interface and rich
 complete shortcuts. You can complete all play operations by keyboard, which
 will make you thoroughly get rid of the constraint of mouse click. Video files
 in various formats can be played through Deepin Movie, and you can use the
 streaming function to easily enjoy online video resources.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdmr-dev
Section: libdevel
Architecture: any
Depends:
 libdmr0.1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Deepin movie player - widget library (development files)
 Deepin Movie provides an intuitive easy to use operation interface and rich
 complete shortcuts. You can complete all play operations by keyboard, which
 will make you thoroughly get rid of the constraint of mouse click. Video files
 in various formats can be played through Deepin Movie, and you can use the
 streaming function to easily enjoy online video resources.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the header files for the widget library.

Package: libdmr0.1
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin movie player - widget library
 Deepin Movie provides an intuitive easy to use operation interface and rich
 complete shortcuts. You can complete all play operations by keyboard, which
 will make you thoroughly get rid of the constraint of mouse click. Video files
 in various formats can be played through Deepin Movie, and you can use the
 streaming function to easily enjoy online video resources.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the widget library.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT = 5


%:
	dh $@

override_dh_install:
	dh_install
	# tmp remove dman
	rm -r debian/deepin-movie/usr/share/dman/

override_dh_missing:
	dh_missing --fail-missing

## deepin-movie-reborn 3.2.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 find_package(Qt5Sql)
 
 pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
+pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkcore)
 pkg_check_modules(Mpv REQUIRED IMPORTED_TARGET mpv)
 pkg_check_modules(Xcb REQUIRED IMPORTED_TARGET xcb xcb-aux
     xcb-proto xcb-ewmh xcb-shape)
@@ -77,7 +78,5 @@
     DESTINATION share/icons/hicolor/scalable/apps
     RENAME deepin-movie.svg)
 
-install(DIRECTORY ${PROJECT_SOURCE_DIR}/src/dman/deepin-movie DESTINATION share/dman)
-
 add_subdirectory(libdmr)
 add_subdirectory(test)

=== debian/changelog ===
deepin-movie-reborn (3.2.9-1) unstable; urgency=medium

  * New upstream version 3.2.9.
  * debian/control:
    + Build-depends on libqt5opengl5-desktop-dev to avoid build attempt
      on arm* (Closes: #906691).
    + Bump Standards-Version to 4.2.0 (no changes needed).
    + Use strict version requirement between deepin-movie and libdmr.
  * debian/symbols:
    + Drop libdmr symbols, use shlibs file instead since no other
      application will use libdmr in the foreseeable future.
  * debian/rules: Remove useless dh_install override.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 20 Aug 2018 22:31:56 -0400

deepin-movie-reborn (3.2.8-1) unstable; urgency=medium

  * New upstream version 3.2.8
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * Update symbols file.
  * d/deepin-movie.install: Drop usr/share/dman/deepin-movie/* .

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 21 Jul 2018 10:54:14 +0800

deepin-movie-reborn (3.2.7-2) unstable; urgency=medium

  * Reconfirm symbol information using buildd logs.

 -- Yanhao Mo <yanhaocs@gmail.com>  Tue, 12 Jun 2018 10:27:59 +0800

deepin-movie-reborn (3.2.7-1) unstable; urgency=medium

  * New upstream version 3.2.7
    + Run async append job conditionally.
    + libdmr: Support pause on start.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 10 Jun 2018 10:30:00 +0800

deepin-movie-reborn (3.2.5-3) unstable; urgency=medium

  * d/control: Explicitly add Build-Dependency mesa-common-dev
    to deal with FTBFS on armel/armhf platforms.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 21 May 2018 00:19:24 +0800

deepin-movie-reborn (3.2.5-2) unstable; urgency=medium

  * Reconfirm symbol information using buildd logs.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 18 May 2018 09:32:50 +0800

deepin-movie-reborn (3.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols information of libdmr0.1 using pkg-kde-tools.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 05 May 2018 15:43:01 +0800

deepin-movie-reborn (3.2.4-1) unstable; urgency=medium

  * New upstream release.
  * d/control: add uploader Yanhao Mo <yanhaocs@gmail.com>
  * d/control: change maintainer field back to
    pkg-deepin-devel@lists.alioth.debian.org

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 04 May 2018 15:02:05 +0800

deepin-movie-reborn (3.2.3-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * Mark libdmr0.1 as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 17:25:43 +0800

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <073plan@gmail.com>,
+ Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  cmake,
  debhelper (>= 11~),
@@ -13,11 +14,13 @@
  libavresample-dev,
  libavutil-dev,
  libdtkcore-bin,
+ libdtkcore-dev,
  libdtkwidget-dev,
  libdvdnav-dev,
  libffmpegthumbnailer-dev,
  libmpv-dev,
  libpulse-dev,
+ libqt5opengl5-desktop-dev,
  libqt5sql5-sqlite,
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -27,12 +30,14 @@
  libxcb-util0-dev,
  libxcb1-dev,
  libxtst-dev,
+ mesa-common-dev,
  pkg-config,
+ pkg-kde-tools,
  qtmultimedia5-dev,
  qttools5-dev,
  x11proto-record-dev,
  xcb-proto,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn
@@ -40,6 +45,7 @@
 Package: deepin-movie
 Architecture: any
 Depends:
+ libdmr0.1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Deepin movie player
@@ -72,6 +78,7 @@
 Package: libdmr0.1
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## deepin-movie-reborn 3.2.10

=== debian/changelog ===
deepin-movie-reborn (3.2.10-1) unstable; urgency=medium

  * New upstream version 3.2.10.
  * debian/control: Update my uploader email address and use the
    @debian.org one.
  * debian/control: Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Oct 2018 10:13:12 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  cmake,
@@ -37,7 +37,7 @@
  qttools5-dev,
  x11proto-record-dev,
  xcb-proto,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn

## deepin-movie-reborn 3.2.14

=== debian/changelog ===
deepin-movie-reborn (3.2.14-1) unstable; urgency=medium

  * New upstream version 3.2.14.
  * debian/control: Drop Build-dependency on libavresample-dev,
    this package is deprecated upstream.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Nov 2018 16:30:51 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  debhelper (>= 11~),
  libavcodec-dev,
  libavformat-dev,
- libavresample-dev,
  libavutil-dev,
  libdtkcore-bin,
  libdtkcore-dev,

## deepin-movie-reborn 3.2.18

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 pkg_check_modules(Xcb REQUIRED IMPORTED_TARGET xcb xcb-aux
     xcb-proto xcb-ewmh xcb-shape)
 pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavformat
-    libavutil libavcodec libavresample)
+    libavutil libavcodec)
 # IMPORTED_TARGET failed to work for some of libs under flatpak env
 pkg_check_modules(Other REQUIRED libffmpegthumbnailer
     libpulse libpulse-simple openssl dvdnav)

=== debian/changelog ===
deepin-movie-reborn (3.2.18-1) unstable; urgency=medium

  * New upstream release 3.2.18.
  * debian/control:
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat.
    + Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Jan 2019 10:24:48 -0500

## deepin-movie-reborn 3.2.20

=== debian/changelog ===
deepin-movie-reborn (3.2.20-1) unstable; urgency=medium

  * New upstream version 3.2.20

 -- Yanhao Mo <yanhaocs@gmail.com>  Tue, 26 Feb 2019 11:32:06 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  cmake,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
@@ -36,7 +36,8 @@
  qttools5-dev,
  x11proto-record-dev,
  xcb-proto,
-Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn

## deepin-movie-reborn 5.0.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,9 @@
 set_source_files_properties(${TS}
     PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/src/translations)
 
-qt5_create_translation(QM ${SRCS} ${TS})
+if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
+    qt5_create_translation(QM ${SRCS} ${TS})
+endif ()
 # ~
 
 add_executable(${CMD_NAME} ${SRCS} ${RCS} ${QM})

=== src/libdmr/CMakeLists.txt ===
project(libdmr VERSION 0.1.0)

set(CMAKE_AUTOMOC ON)
set(CMD_NAME dmr)

add_definitions(-D_LIBDMR_)

pkg_check_modules(FFTHUMB REQUIRED libffmpegthumbnailer)

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})

file(GLOB_RECURSE SRCS LIST_DIRECTORIES false *.cpp)
file(GLOB_RECURSE MPV_SRCS LIST_DIRECTORIES false ../backends/mpv/*.cpp)
list(APPEND SRCS player_widget.cpp ${MPV_SRCS})

add_library(${CMD_NAME} SHARED ${SRCS})
set_target_properties(${CMD_NAME} PROPERTIES VERSION 0.1.0 SOVERSION 0.1)

target_include_directories(${CMD_NAME} PUBLIC
    ${PROJECT_SOURCE_DIR}/../common ${PROJECT_SOURCE_DIR}/../backends/mpv)

target_link_libraries(${CMD_NAME} PkgConfig::Dtk Qt5::Widgets Qt5::Concurrent
    Qt5::Network Qt5::X11Extras Qt5::Sql Qt5::DBus PkgConfig::Mpv PkgConfig::AV
    ${FFTHUMB_LIBRARIES} pthread GL)

include(GNUInstallDirs)

configure_file(libdmr.pc.in ${PROJECT_BINARY_DIR}/libdmr.pc @ONLY)

install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES
    player_widget.h
    player_backend.h
    player_engine.h
    playlist_model.h
    movie_configuration.h
    compositing_manager.h
    dvd_utils.h
    utils.h
    online_sub.h
    DESTINATION include/libdmr)

install(FILES ${PROJECT_BINARY_DIR}/libdmr.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
deepin-movie-reborn (5.0.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:33 +0100

deepin-movie-reborn (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
  * debian/patches: Add patch to fix FTBFS with new dtkcore.

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Oct 2019 14:57:31 -0400

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  x11proto-record-dev,
  xcb-proto,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,7 @@
 
 
 %:
-	dh $@
-
-override_dh_install:
-	dh_install
-	# tmp remove dman
-	rm -r debian/deepin-movie/usr/share/dman/
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_missing:
 	dh_missing --fail-missing

## deepin-movie-reborn 5.7.6.147

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-project(deepin-movie-reborn VERSION 3.2.3)
+project(deepin-movie-reborn VERSION 3.2.7)
 
 
 option(USE_DXCB "integration with dxcb platform plugin" OFF)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,16 +25,22 @@
     libavutil libavcodec)
 # IMPORTED_TARGET failed to work for some of libs under flatpak env
 pkg_check_modules(Other REQUIRED libffmpegthumbnailer
-    libpulse libpulse-simple openssl dvdnav)
+    libpulse libpulse-simple openssl dvdnav gsettings-qt)
 
 qt5_add_resources(RCS resources.qrc)
+qt5_add_resources(RCS icons/theme-icons.qrc)
 if (${Dtk_VERSION} LESS 2.0.6.1)
     qt5_add_resources(RCS theme.qrc)
 endif()
 
 
-file(GLOB_RECURSE SRCS LIST_DIRECTORIES false common/*.cpp widgets/*.cpp libdmr/*.cpp)
+file(GLOB_RECURSE SRCS LIST_DIRECTORIES false common/*.cpp widgets/*.cpp libdmr/*.cpp vendor/*.cpp vendor/mpris-qt/*.cpp vendor/dbusextended-qt/*.cpp)
 list(APPEND SRCS main.cpp)
+
+include_directories(
+        ${CMAKE_CURRENT_SOURCE_DIR}/vendor/mpris-qt
+        ${CMAKE_CURRENT_SOURCE_DIR}/vendor/dbusextended-qt
+)
 
 # mpv backend
 file(GLOB_RECURSE MPV_SRCS LIST_DIRECTORIES false backends/mpv/*.cpp)
@@ -42,13 +48,16 @@
 list(APPEND PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/backends/mpv)
 #~
 
+set (DTK_SETTINGS_TOOLS_EXECUTABLE ${DTKCORE_TOOL_DIR}/dtk-settings)
+if (EXISTS ${DTK_SETTINGS_TOOLS_EXECUTABLE})
 add_custom_target(json_i18n ALL
-    /usr/lib/dtk2/dtk-settings resources/data/settings.json -o common/settings_translation.cpp
+        ${DTKCORE_TOOL_DIR}/dtk-settings resources/data/settings.json -o common/settings_translation.cpp
     COMMAND sed -i "s,#include .*,#include <DSettings>," common/settings_translation.cpp
     VERBATIM
     SOURCES resources/data/settings.json
     WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/src/)
 
+endif ()
 ## translations
 file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)
 
@@ -61,7 +70,7 @@
 # ~
 
 add_executable(${CMD_NAME} ${SRCS} ${RCS} ${QM})
-add_dependencies(${CMD_NAME} json_i18n)
+
 target_include_directories(${CMD_NAME} PUBLIC ${PROJECT_INCLUDE})
 
 set(TARGET_LIBS X11 Xext Xtst PkgConfig::Xcb Qt5::Widgets Qt5::X11Extras Qt5::Network
@@ -76,6 +85,8 @@
     FILES_MATCHING PATTERN "*.qm")
 install(FILES ${PROJECT_SOURCE_DIR}/src/deepin-movie.desktop
     DESTINATION share/applications)
+install(FILES ${CMAKE_SOURCE_DIR}/src/libdmr/com.deepin.deepin-movie.gschema.xml
+    DESTINATION /usr/share/glib-2.0/schemas)
 install(FILES ${PROJECT_SOURCE_DIR}/src/resources/icons/logo-big.svg
     DESTINATION share/icons/hicolor/scalable/apps
     RENAME deepin-movie.svg)

=== src/test/CMakeLists.txt ===
project(libdmr_test)

set(CMAKE_AUTOMOC ON)
set(CMD_NAME dmr_test)

set(CMAKE_CXX_FLAGS "-std=c++1y -fpermissive -Wno-error")

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})

set(SRCS dmr_test.cpp)

add_executable(${CMD_NAME} ${SRCS})
target_include_directories(${CMD_NAME} PUBLIC 
    ${PROJECT_SOURCE_DIR}/../libdmr
    ${PROJECT_SOURCE_DIR})

target_link_libraries(${CMD_NAME} Qt5::Widgets dmr)

=== debian/changelog ===
deepin-movie-reborn (5.7.6.147-1) unstable; urgency=medium

  [ Tu Qinggang ]
  * New upstream release 5.7.6.147.

  [ Arun Kumar Pariyar ]
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13.
    + Update build dependency, tighten libdtkwidget-dev to (>=5.2~).
    + Update binary package dependencies.
    + Add Arun Kumar Pariyar to Uploaders.
  * debian/rules:
    + Ensure proper build.
  * debian/patches:
    - Drop use-libdmr.patch and upstream-issue-48.patch.
    + Add fix to build with Qt5.15+ (Closes: #975744).
    + Add patch to use system library instead of src/vendor.
  * debian/upstream: Set upstream metadata fields.
  * debian/clean: Cleanup src/vendor/{dbusextended-qt,mpris-qt}.
  * debian/copyright: Update license information.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 06 Dec 2020 21:03:08 +0545

=== debian/control ===
--- 
+++ 
@@ -6,38 +6,39 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libdtkcore-bin,
- libdtkcore-dev,
- libdtkwidget-dev,
+ libdbusextended-qt5-dev,
+ libdtkcore5-bin,
+ libdtkwidget-dev (>=5.2~),
  libdvdnav-dev,
  libffmpegthumbnailer-dev,
+ libgsettings-qt-dev,
+ libmpris-qt5-dev,
  libmpv-dev,
  libpulse-dev,
- libqt5opengl5-desktop-dev,
  libqt5sql5-sqlite,
  libqt5svg5-dev,
  libqt5x11extras5-dev,
  libssl-dev,
  libxcb-ewmh-dev,
  libxcb-shape0-dev,
- libxcb-util0-dev,
+ libxcb-util-dev,
  libxcb1-dev,
  libxtst-dev,
- mesa-common-dev,
  pkg-config,
- pkg-kde-tools,
  qtmultimedia5-dev,
  qttools5-dev,
+ qttools5-dev-tools,
  x11proto-record-dev,
  xcb-proto,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn
@@ -46,6 +47,7 @@
 Architecture: any
 Depends:
  libdmr0.1 (= ${binary:Version}),
+ va-driver-all,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Deepin movie player
@@ -62,7 +64,9 @@
 Architecture: any
 Depends:
  libdmr0.1 (= ${binary:Version}),
+ libgsettings-qt-dev,
  ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: same
 Description: Deepin movie player - widget library (development files)
  Deepin Movie provides an intuitive easy to use operation interface and rich

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT = 5


%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing
	
override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
      -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## deepin-movie-reborn 5.7.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,3 +31,8 @@
 configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)
 
 add_subdirectory(src)
+add_subdirectory(examples/test)
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    add_subdirectory(tests)
+endif()

=== src/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMD_NAME deepin-movie)

set(PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/widgets
    ${PROJECT_SOURCE_DIR}/src/common
    ${PROJECT_SOURCE_DIR}/src/libdmr)

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

find_package(Qt5Widgets)
find_package(Qt5DBus)
find_package(Qt5X11Extras)
find_package(Qt5LinguistTools)
find_package(Qt5Network)
find_package(Qt5Concurrent)
find_package(Qt5Sql)
find_package(Qt5Svg)

pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkcore)
pkg_check_modules(Xcb REQUIRED IMPORTED_TARGET xcb xcb-shape)
pkg_check_modules(MPRIS REQUIRED IMPORTED_TARGET mpris-qt5)
pkg_check_modules(DBusextended REQUIRED IMPORTED_TARGET dbusextended-qt5)
# IMPORTED_TARGET failed to work for some of libs under flatpak env
pkg_check_modules(Other REQUIRED  gsettings-qt)

qt5_add_resources(RCS ../assets/resources.qrc)
qt5_add_resources(RCS ../assets/icons/theme-icons.qrc)
if (${Dtk_VERSION} LESS 2.0.6.1)
    qt5_add_resources(RCS ../assets/theme.qrc)
endif()


file(GLOB_RECURSE SRCS LIST_DIRECTORIES false common/*.cpp widgets/*.cpp libdmr/*.cpp vendor/*.cpp)
list(APPEND SRCS main.cpp)

# mpv backend
file(GLOB_RECURSE MPV_SRCS LIST_DIRECTORIES false backends/mpv/*.cpp)
list(APPEND SRCS ${MPV_SRCS})
list(APPEND PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/backends/mpv)
#~

set (DTK_SETTINGS_TOOLS_EXECUTABLE ${DTKCORE_TOOL_DIR}/dtk-settings)
if (EXISTS ${DTK_SETTINGS_TOOLS_EXECUTABLE})
add_custom_target(json_i18n ALL
        ${DTKCORE_TOOL_DIR}/dtk-settings resources/data/settings.json -o common/settings_translation.cpp
    COMMAND sed -i "s,#include .*,#include <DSettings>," common/settings_translation.cpp
    VERBATIM
    SOURCES resources/data/settings.json
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/src/)

endif ()
## translations
file(GLOB TS LIST_DIRECTORIES false ../translations/${CMD_NAME}*.ts)

set_source_files_properties(${TS}
    PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(QM ${SRCS} ${TS})
endif ()
# ~

add_executable(${CMD_NAME} ${SRCS} ${RCS} ${QM})

target_include_directories(${CMD_NAME} PUBLIC ${PROJECT_INCLUDE})

set(TARGET_LIBS X11 Xtst PkgConfig::Xcb Qt5::Widgets Qt5::X11Extras Qt5::Network
    Qt5::DBus Qt5::Sql Qt5::Svg PkgConfig::Dtk PkgConfig::MPRIS PkgConfig::DBusextended GL)

target_link_libraries(${CMD_NAME} ${TARGET_LIBS} ${Other_LIBRARIES})


install(TARGETS ${CMD_NAME} DESTINATION bin)
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
    DESTINATION share/${CMD_NAME}
    FILES_MATCHING PATTERN "*.qm")
install(FILES ${PROJECT_SOURCE_DIR}/deepin-movie.desktop
    DESTINATION share/applications)
install(FILES ${CMAKE_SOURCE_DIR}/src/libdmr/com.deepin.deepin-movie.gschema.xml
    DESTINATION /usr/share/glib-2.0/schemas)
install(FILES ${PROJECT_SOURCE_DIR}/assets/resources/icons/logo-big.svg
    DESTINATION share/icons/hicolor/scalable/apps
    RENAME deepin-movie.svg)
install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-movie DESTINATION /usr/share/deepin-manual/manual-assets/application/)
    
# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE -z noexecstack")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_EXE_LINKER_FLAGS "-pie")
else()
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -std=c++14 -O3 -DNDEBUG -fPIC -Wl,--as-need -fPIE")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -std=c++14 -O3 -DNDEBUG -fPIC")
    SET(CMAKE_EXE_LINKER_FLAGS "-pie")
endif()

add_subdirectory(libdmr)
#add_subdirectory(test)

=== tests/CMakeLists.txt ===
# 定义需要的cmake版本
cmake_minimum_required(VERSION 3.10)

# 设置cmake参数
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

#ADD_DEFINITIONS( -LITE_DIV)
execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

option (USE_TEST "Use TESTS" ON)
add_definitions( -DUSE_TEST )

# 设置Qt模块
set(QtModule Core Gui Widgets Network X11Extras PrintSupport DBus Sql Svg Concurrent LinguistTools Test)

# 设置工程名字
project(deepin-movie-test)

# 查找Qt相关的库链接
find_package(Qt5 REQUIRED ${QtModule})


# 包含源码文件夹
include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

include_directories(./../src)
include_directories(./../src/common)
include_directories(./../src/widgets)
include_directories(./../src/libdmr)
include_directories(./../src/vendor)
include_directories(./../src/backends)
include_directories(./../src/backends/mpv)

#add_subdirectory(googletest)

# 定义 source 文件
FILE (GLOB allSource
    ../src/common/*.cpp
    ../src/widgets/*.cpp
    ../src/libdmr/*.cpp
    ../src/vendor/*.cpp
    ../src/backends/mpv/*.cpp
    ../src/backends/*.cpp
    )

FILE (GLOB allTestSource
    *.cpp
    common/*.cpp
    widgets/*.cpp
    libdmr/*.cpp
    backends/*.cpp
    vendor/*.cpp
    stub/*.cpp
    )

# 定义资源文件
set(AllQRC
    ../assets/resources.qrc
    ../assets/icons/theme-icons.qrc
)

# 设置不删除生成的文件夹内容文件（设置此项是为了翻译后的文件不被删除）
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

# 添加需要安装的模块
add_executable(${PROJECT_NAME} ${allSource} ${allTestSource}
    ${AllQRC}
    )

# 添加gocv覆盖率文件的输出
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")    #mips平台下不进行内存检测
else()
    set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage")
    set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
    #set(CMAKE_L_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

set(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE ON)

set(OBJECT_DIR ${CMAKE_BINARY_DIR}/CMakeFiles/objects)

add_custom_target(test
    COMMAND mkdir -p build-ut
    COMMAND mkdir -p build-ut/report
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

add_custom_command(TARGET test
    COMMAND echo " ===================CREAT LCOV REPROT==================== "
    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
    COMMAND ./tests/${PROJECT_NAME} #-o ./build-ut/report/report_${PROJECT_NAME}.xml,xml
    COMMAND lcov --directory . --capture --output-file ./build-ut/${PROJECT_NAME}_Coverage.info

    COMMAND echo " =================== do filter begin ==================== "
    COMMAND lcov --remove ./build-ut/${PROJECT_NAME}_Coverage.info 'CMakeFiles/${PROJECT_NAME}.dir/${PROJECT_NAME}_autogen/*/*'
    '${PROJECT_NAME}_autogen/*/*/*.cpp' 'googletest/*/*' '*/usr/include/*' '*/tests/*' '/usr/local/*' '*/src/common/filter.*'
    '*/src/common/settings_translation.cpp' '*/src/common/event_monitor.cpp' '*/src/widgets/videoboxbutton.cpp' '*/src/common/event_relayer.cpp'
    -o ./build-ut/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " =================== do filter end ==================== "

    COMMAND genhtml -o ./build-ut/report ./build-ut/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " -- Coverage files have been output to ${CMAKE_BINARY_DIR}/build-ut/report "
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )
add_dependencies(test ${PROJECT_NAME})

#------------------------------ 添加第三方库  DTK -------------------------------
# 使用第三方库需要用到的一个包
find_package(PkgConfig REQUIRED)
#set(TARGET_LIBS X11 Xext Xtst PkgConfig::Xcb Qt5::Widgets Qt5::X11Extras Qt5::Network
#    Qt5::Concurrent Qt5::DBus Qt5::Sql PkgConfig::Dtk
#    PkgConfig::Mpv PkgConfig::MPRIS PkgConfig::DBusextended
#    PkgConfig::AV pthread GL)
# 检查第三方库(这里检查了名字为dtkwidget的库和名字为dtkgui的库)，然后取名3rd_lib
pkg_check_modules(3rd_lib REQUIRED
        dtkwidget dtkgui libffmpegthumbnailer
        libpulse libpulse-simple openssl dvdnav gsettings-qt gtest mpv x11 xext xtst xcb gl
        libavformat libavcodec libavutil
        xcb-aux xcb-proto xcb-ewmh xcb-shape mpris-qt5 dbusextended-qt5
        )
# 添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)
target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} )

# 将第三方库链接进来(注意 *_LIBRARIES)
target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} )
#------------------------------添加第三方库end-------------------------------------

target_link_libraries(${PROJECT_NAME} gmock gmock_main gtest gtest_main)

# 将工程与Qt模块链接起来
qt5_use_modules(${PROJECT_NAME} ${QtModule})

=== examples/test/CMakeLists.txt ===

project(libdmr_test)

set(CMAKE_AUTOMOC ON)
set(CMD_NAME dmr_test)

set(CMAKE_CXX_FLAGS "-std=c++1y -fpermissive -Wno-error")

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})

find_package(Qt5Widgets)
find_package(Qt5Concurrent)
find_package(Qt5Network)
find_package(Qt5X11Extras)
find_package(Qt5Sql)
find_package(Qt5DBus)
find_package(Qt5Svg)

pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavformat libavutil libavcodec)

set(SRCS dmr_test.cpp)

add_executable(${CMD_NAME} ${SRCS})

target_link_libraries(${CMD_NAME} PkgConfig::Dtk Qt5::Widgets Qt5::Concurrent
    Qt5::Network Qt5::X11Extras Qt5::Sql Qt5::DBus PkgConfig::AV
    ${FFTHUMB_LIBRARIES} GL)
target_include_directories(${CMD_NAME} PUBLIC 
    ${PROJECT_SOURCE_DIR}/../../src/libdmr
    ${PROJECT_SOURCE_DIR})

target_link_libraries(${CMD_NAME} Qt5::Widgets dmr)

=== src/libdmr/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 add_definitions(-D_LIBDMR_)
 
 pkg_check_modules(FFTHUMB REQUIRED libffmpegthumbnailer)
+pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavformat libavutil libavcodec)
 
 include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
 
@@ -20,8 +21,11 @@
     ${PROJECT_SOURCE_DIR}/../common ${PROJECT_SOURCE_DIR}/../backends/mpv)
 
 target_link_libraries(${CMD_NAME} PkgConfig::Dtk Qt5::Widgets Qt5::Concurrent
-    Qt5::Network Qt5::X11Extras Qt5::Sql Qt5::DBus PkgConfig::Mpv PkgConfig::AV
-    ${FFTHUMB_LIBRARIES} pthread GL)
+    Qt5::Network Qt5::X11Extras Qt5::Sql Qt5::Svg Qt5::DBus PkgConfig::AV
+    ${FFTHUMB_LIBRARIES} GL)
+#target_link_libraries(${CMD_NAME} PkgConfig::Dtk Qt5::Widgets Qt5::Concurrent
+#    Qt5::Network Qt5::X11Extras Qt5::Sql Qt5::DBus PkgConfig::AV GL png jpeg)
+
 
 include(GNUInstallDirs)
 
@@ -35,7 +39,6 @@
     playlist_model.h
     movie_configuration.h
     compositing_manager.h
-    dvd_utils.h
     utils.h
     online_sub.h
     DESTINATION include/libdmr)

=== debian/changelog ===
deepin-movie-reborn (5.7.15-2) unstable; urgency=medium

  * debian/patches:
    + Add a patch to define GLAPIENTRY to fix FTBFS on armel/armhf.
  * debian/control:
    + Tighten build dependency versions.
 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 11 Nov 2021 01:09:53 +0545

deepin-movie-reborn (5.7.15-1) unstable; urgency=medium

  * New upstream release 5.7.15 (Closes: #997202).
  * debian/control
    + Update dependency.
    + Update Standards-Version to 4.6.0.1.
    + Add Clay Stan to Uploaders.
  * debian/patch
    - Deleted the previous patch, because they have
      been incorporated into the source code.
    + Add a patch to remove SetCanShowInUI,
      it has been removed in the new version of mpris player.
    + Add a patch to update manual install path.
    + Add a patch to fix theme does not work.
  * debian/copyright: Update license information.
  * debian/clean: removed,not included in the source code.
  * debian/deepin-movie.install: install manual.
  * debian/libdmr0.1.shlibs: update version.

 -- Clay Stan <claystan97@gmail.com>  Mon, 01 Nov 2021 14:37:13 +0800

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Clay Stan <claystan97@gmail.com>,
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -14,8 +15,8 @@
  libavformat-dev,
  libavutil-dev,
  libdbusextended-qt5-dev,
- libdtkcore5-bin,
- libdtkwidget-dev (>=5.2~),
+ libdtkcore5-bin (>=5.5~),
+ libdtkwidget-dev (>=5.5~),
  libdvdnav-dev,
  libffmpegthumbnailer-dev,
  libgsettings-qt-dev,
@@ -38,7 +39,7 @@
  x11proto-record-dev,
  xcb-proto,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn
@@ -46,7 +47,15 @@
 Package: deepin-movie
 Architecture: any
 Depends:
+ libavcodec58 (>=7:4.0),
+ libavformat58 (>=7:4.1),
+ libavutil56 (>=7:4.0),
  libdmr0.1 (= ${binary:Version}),
+ libffmpegthumbnailer4v5,
+ libmpris-qt5-1 (>=0.1.0.1),
+ libmpv1 (>=0.29),
+ libpulse0 (>=0.99.1),
+ libqt5concurrent5 (>=5.6.0~rc),
  va-driver-all,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -66,7 +75,6 @@
  libdmr0.1 (= ${binary:Version}),
  libgsettings-qt-dev,
  ${misc:Depends},
- ${shlibs:Depends},
 Multi-Arch: same
 Description: Deepin movie player - widget library (development files)
  Deepin Movie provides an intuitive easy to use operation interface and rich
@@ -84,6 +92,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libavcodec58 (>=7:4.0),
+ libavformat58 (>=7:4.1),
+ libavutil56 (>=7:4.0),
+ libffmpegthumbnailer4v5,
+ libmpris-qt5-1 (>=0.1.0.1),
+ libmpv1 (>=0.29),
+ libpulse0 (>=0.99.1),
+ libqt5concurrent5 (>=5.6.0~rc),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Deepin movie player - widget library

=== debian/rules ===
--- 
+++ 
@@ -4,18 +4,15 @@
 include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-
-export QT_SELECT = 5
-
+export DEB_CXXFLAGS_MAINT_APPEND = -Wl,-z,now
+export QT_SELECT := 5
 
 %:
 	dh $@
 
 override_dh_missing:
 	dh_missing --fail-missing
-	
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	  -DCMAKE_BUILD_TYPE=Release \
